Overview
GET
/processing/personas/approvalsregistryList the persona-action approvals the caller may decide
List approvals.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- statusquery · optionalstring
Responses
200
the decidable approvals (newest first)
- approvalsRegistryPersonaApproval[]
Example
{
"approvals": [
{
"id": "string",
"personaId": "string",
"subjectKind": "self",
"subjectId": "string",
"subjectEco": "string",
"toolName": "string",
"args": {},
"status": "pending",
"requestedBy": "string",
"decidedBy": "string",
"decidedAt": "string",
"result": {},
"createdAt": "string"
}
]
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/processing/personas/approvals" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/processing/personas/approvals", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();